%global p_vendor       pe
%global _name          puppet-enterprise-release
%global realversion    3.8.3.0
%global rpmversion     3.8.3.0

%if "%{_os}" == "aix"
  %{!?_aix: %global _aix 1}
%endif

%if "%{dist}" == ".eos4"
  %{!?_eos: %global _eos 1}
%endif

%if 0%{?_eos}
  %global               _persistdir /persist/sys
%endif


%if 0%{?p_vendor:1}
    %global name_prefix      %{p_vendor}-

    # Override the _prefix last, so we can get the _real_* locations.
    %{!?_orig_prefix:     %global _orig_prefix     %{_prefix}}
    %global               _prefix /opt/puppet
    %{!?_orig_sysconfdir: %global _orig_sysconfdir %{_sysconfdir}}
    %global               _sysconfdir /etc/puppetlabs
%endif

Name:           %{?name_prefix}%{_name}
Version:        %{rpmversion}
Release:        1.pe%{?dist}
Summary:        Simple package to ensure proper directory structure
Vendor:         Puppet Labs
Group:          System Environment/Base
License:        PL Commercial
URL:            http://www.puppetlabs.com
Source0:        http://downloads.puppetlabs.com/%{name}/%{name}-%{realversion}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Provides:       %{name} = %{version}-%{release}

%description
A simple package that lays out the file structure for Puppet Enterprise systems,
and provides some basic files necessary for PE.

%prep
%setup -q -n %{name}-%{realversion}

%build

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%if 0%{?_eos}
rm -rf %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}/%{_persistdir}/%{_sysconfdir}
ln -s %{_persistdir}/%{_sysconfdir} %{buildroot}/%{_sysconfdir}
%endif

%clean
rm -rf %{buildroot}

%post
if [ -f /opt/puppet/pe_build ] ; then
  grep -- "-" /opt/puppet/pe_build > /dev/null 2>&1 || rm -f /opt/puppet/pe_build
fi

%files
%defattr(-,root,root,-)
%{_prefix}/pe_version
%{_bindir}/pe-man
%doc %{_prefix}/share/doc/LICENSE.txt
%if 0%{?_eos}
%{_sysconfdir}
%dir %{_persistdir}/%{_sysconfdir}
%endif
%dir %{_sysconfdir}
%dir %{_prefix}/sbin
%dir %{_prefix}/share
%dir %{_prefix}/var
%dir %{_prefix}/lib
%dir %{_prefix}/libexec

%changelog
* Mon Aug 17 2015 Puppet Labs Release <info@puppetlabs.com> -  3.8.3.0-1.pe
- Build for 3.8.3.0

* Mon Nov 07 2013 Melissa Stone <melissa@puppetlabs.com> - 1.0.0-1.pe
- Initial build
